> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /euopendata/datasets/search

> Search datasets on the EU Open Data Portal

**Price:** 10 credits per 10 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/euopendata/datasets/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/euopendata/datasets/search:
    post:
      tags:
        - /euopendata
      summary: /euopendata/datasets/search
      description: |-
        Search datasets on the EU Open Data Portal

        **Price:** 10 credits per 10 results
      operationId: __api_euopendata_datasets_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EuopendataSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EuopendataDataset'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EuopendataSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        q:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/EuopendataCategory'
              type: array
            - type: 'null'
        format:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        catalog:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        super_catalog:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        publisher:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        subject:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        hvd_category:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        in_series:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        license:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        scoring:
          anyOf:
            - items:
                $ref: '#/components/schemas/EuopendataScoring'
              type: array
            - type: 'null'
        data_scope:
          anyOf:
            - $ref: '#/components/schemas/EuopendataDataScope'
            - type: 'null'
        source_type:
          anyOf:
            - $ref: '#/components/schemas/EuopendataSourceType'
            - type: 'null'
        is_hvd:
          anyOf:
            - type: boolean
            - type: 'null'
        sort:
          $ref: '#/components/schemas/EuopendataSort'
          default: relevance
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    EuopendataDataset:
      properties:
        '@type':
          type: string
          default: EuopendataDataset
        id:
          type: string
        url:
          type: string
        landing_page:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        is_hvd:
          type: boolean
          default: false
        access_right:
          anyOf:
            - type: string
            - type: 'null'
        accrual_periodicity:
          anyOf:
            - type: string
            - type: 'null'
        scoring:
          anyOf:
            - type: integer
            - type: 'null'
        issued:
          anyOf:
            - type: string
            - type: 'null'
        modified:
          anyOf:
            - type: string
            - type: 'null'
        temporal_start:
          anyOf:
            - type: string
            - type: 'null'
        temporal_end:
          anyOf:
            - type: string
            - type: 'null'
        spatial:
          items:
            additionalProperties: true
            type: object
          type: array
          default: []
        languages:
          items:
            type: string
          type: array
          default: []
        keywords:
          items:
            $ref: '#/components/schemas/EuopendataKeyword'
          type: array
          default: []
        categories:
          items:
            $ref: '#/components/schemas/EuopendataCategoryRef'
          type: array
          default: []
        publisher:
          anyOf:
            - $ref: '#/components/schemas/EuopendataAgent'
            - type: 'null'
        creators:
          items:
            $ref: '#/components/schemas/EuopendataAgent'
          type: array
          default: []
        contact_points:
          items:
            $ref: '#/components/schemas/EuopendataContactPoint'
          type: array
          default: []
        catalog:
          anyOf:
            - $ref: '#/components/schemas/EuopendataCatalog'
            - type: 'null'
        distributions:
          items:
            $ref: '#/components/schemas/EuopendataDistribution'
          type: array
          default: []
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    EuopendataCategory:
      type: string
      enum:
        - AGRI
        - GOVE
        - ECON
        - ENVI
        - JUST
        - REGI
        - TECH
        - SOCI
        - TRAN
        - EDUC
        - HEAL
        - ENER
        - INTR
        - OP_DATPRO
    EuopendataScoring:
      type: string
      enum:
        - excellentScoring
        - goodScoring
        - sufficientScoring
        - badScoring
    EuopendataDataScope:
      type: string
      enum:
        - eu
        - io
        - countryData
    EuopendataSourceType:
      type: string
      enum:
        - dcat-ap
        - geospatial
        - ckan
        - jsonapi
        - udata
        - euodp-legacy
        - inspire
        - socrata
    EuopendataSort:
      type: string
      enum:
        - relevance
        - recent
        - name
    EuopendataKeyword:
      properties:
        '@type':
          type: string
          default: EuopendataKeyword
        label:
          type: string
        language:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - label
    EuopendataCategoryRef:
      properties:
        '@type':
          type: string
          default: EuopendataCategoryRef
        id:
          type: string
        label:
          anyOf:
            - type: string
            - type: 'null'
        resource:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    EuopendataAgent:
      properties:
        '@type':
          type: string
          default: EuopendataAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        resource:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuopendataContactPoint:
      properties:
        '@type':
          type: string
          default: EuopendataContactPoint
        name:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        telephone:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuopendataCatalog:
      properties:
        '@type':
          type: string
          default: EuopendataCatalog
        id:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        source_type:
          anyOf:
            - type: string
            - type: 'null'
        publisher:
          anyOf:
            - $ref: '#/components/schemas/EuopendataAgent'
            - type: 'null'
      type: object
    EuopendataDistribution:
      properties:
        '@type':
          type: string
          default: EuopendataDistribution
        id:
          anyOf:
            - type: string
            - type: 'null'
        format:
          anyOf:
            - type: string
            - type: 'null'
        media_type:
          anyOf:
            - type: string
            - type: 'null'
        download_url:
          anyOf:
            - type: string
            - type: 'null'
        access_url:
          anyOf:
            - type: string
            - type: 'null'
        license:
          anyOf:
            - type: string
            - type: 'null'
        languages:
          items:
            type: string
          type: array
          default: []
        availability:
          anyOf:
            - type: string
            - type: 'null'
        issued:
          anyOf:
            - type: string
            - type: 'null'
        modified:
          anyOf:
            - type: string
            - type: 'null'
        byte_size:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````